declare enum ScriptStatus {
    IDLE = "idle",
    LOADING = "loading",
    READY = "ready",
    ERROR = "error"
}
interface UseScriptProps {
    src: string;
    isDefer?: boolean;
    isAsync?: boolean;
    attributes?: {
        key: string;
        value: string;
    }[];
}
declare function useScript(props: UseScriptProps): ScriptStatus;

export { ScriptStatus, UseScriptProps, useScript };
